Subject: [RFC] struct *_struct

From: Jared Hance <[email-masked]>
Date: Wed, 4 Aug 2010 11:08:43 -0400

After browsing some of the diff related code today, I noted the
structure "struct diff_queue_struct". I found it somewhat odd that a
struct had struct in the name of the struct, and I hadn't really seen
any others like this.

Indeed, there are two others: struct dir_struct and struct cmd_struct.

To see, you can run:

    $ git grep _struct *.c *.h

Typing "struct *_struct" is rather verbose - We already have to
prepend the "struct", so it is extremely clear that we are using a
struct. Is there a reason that:

    - We are extremely verbose
    - We use this style in only 3 cases